Index: libaom-9999/CMakeLists.txt
===================================================================
--- libaom-9999.orig/CMakeLists.txt
+++ libaom-9999/CMakeLists.txt
@@ -248,6 +248,7 @@ if (NOT MSVC)
       -DCMAKE_PROJECT_NAME=${CMAKE_PROJECT_NAME}
       -DCONFIG_MULTITHREAD=${CONFIG_MULTITHREAD}
       -DHAVE_PTHREAD_H=${HAVE_PTHREAD_H}
+      -DLIB_SUFFIX=${LIB_SUFFIX}
       -P "${AOM_ROOT}/build/cmake/pkg_config.cmake"
       COMMENT "Writing aom.pc"
       VERBATIM)
Index: libaom-9999/build/cmake/pkg_config.cmake
===================================================================
--- libaom-9999.orig/build/cmake/pkg_config.cmake
+++ libaom-9999/build/cmake/pkg_config.cmake
@@ -35,12 +35,13 @@ endif ()
 
 # Write pkg-config info.
 set(prefix "${CMAKE_INSTALL_PREFIX}")
+set(libdir "lib${LIB_SUFFIX}")
 set(pkgconfig_file "${AOM_CONFIG_DIR}/aom.pc")
 string(TOLOWER ${CMAKE_PROJECT_NAME} pkg_name)
 file(WRITE "${pkgconfig_file}" "# libaom pkg-config.\n")
 file(APPEND "${pkgconfig_file}" "prefix=${prefix}\n")
 file(APPEND "${pkgconfig_file}" "exec_prefix=\${prefix}/bin\n")
-file(APPEND "${pkgconfig_file}" "libdir=\${prefix}/lib\n")
+file(APPEND "${pkgconfig_file}" "libdir=\${prefix}/${libdir}\n")
 file(APPEND "${pkgconfig_file}" "includedir=\${prefix}/include\n\n")
 file(APPEND "${pkgconfig_file}" "Name: ${pkg_name}\n")
 file(APPEND "${pkgconfig_file}"
@@ -48,7 +49,7 @@ file(APPEND "${pkgconfig_file}"
 file(APPEND "${pkgconfig_file}" "Version: ${package_version}\n")
 file(APPEND "${pkgconfig_file}" "Requires:\n")
 file(APPEND "${pkgconfig_file}" "Conflicts:\n")
-file(APPEND "${pkgconfig_file}" "Libs: -L\${prefix}/lib -l${pkg_name} -lm\n")
+file(APPEND "${pkgconfig_file}" "Libs: -L\${prefix}/${libdir} -l${pkg_name} -lm\n")
 if (CONFIG_MULTITHREAD AND HAVE_PTHREAD_H)
   file(APPEND "${pkgconfig_file}" "Libs.private: -lm -lpthread\n")
 else ()
